#
# spec file for package unarj (Version 2.65)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         unarj
URL:          http://www.arjsoftware.com
License:      Other License(s), see package
Group:        Productivity/Archiving/Compression
Autoreqprov:  on
Version:      2.65
Release:      137
Summary:      Pack program
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}-time.diff
Patch1:       %{name}-%{version}-overflow.diff
Patch2:       %{name}-%{version}-path.diff
Patch3:       %{name}-%{version}-notice.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Allows for unpacking of .arj files, which are widely spread in the DOS
world. It is included for compatibility reasons to extract packages
from DOS. It should not be used for compressing packages under Linux.
Use gzip which is the standard, instead.



Authors:
--------
    Robert Jung <robjung@world.std.com>

%prep
%setup
%patch0
%patch1
%patch2
%patch3

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall -ansi -pedantic -DUNIX"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_bindir}
install -m755 unarj $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc *.txt unarj.lsm
%{_bindir}/unarj

%changelog -n unarj
* Fri Nov 26 2004 - mjancar@suse.cz
- inform about our fixes in the printed notice (#48553)
* Mon Nov 22 2004 - mjancar@suse.cz
- fix buffer overflow and tree traversal (#47184)
* Tue Jun 10 2003 - mjancar@suse.cz
- update to 2.65
  * Fixed table boundaries.
  * Added additional header data checks.
  * Added chapter and encryption information.
- use $RPM_OPT_FLAGS
- kill allready applied patches
* Wed Oct 02 2002 - jderfina@suse.cz
- Added subdirectory creation for the x command.
- Fixed wrong time handling when daylight saving time.
- Fixed date handling for year 2000 (it is leap year).
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri Mar 24 2000 - bubnikv@suse.cz
- added buildroot
* Fri Oct 22 1999 - freitag@suse.de
- update to verison 2.43
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 02 1997 - rj@suse.de
- new package
